package sikd.sikd5.sikd5bean.ws.transaksi;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author : agus
 * @tanggal : Jul 31, 2019
 */
@XmlRootElement
@XmlType(name = "headerdthWS", propOrder = {
    "tahunanggaran",
    "kodesatker",
    "kodepemda",
    "namapemda",
    "jeniscoa",
    "nomorsp2d",
    "tanggalsp2d",
    "namaaplikasi",
    "pengembangaplikasi",
    "versisinergi",
    "nmfile",
    "sha256",
    "dthbelanjas",
    "dthpotongans"
})
public class Headerdth_WS implements Serializable{

    private short tahunanggaran;
    private String kodesatker;
    private String kodepemda;
    private String namapemda;
    private short jeniscoa;
    private String nomorsp2d;
    private Date tanggalsp2d;
    private String namaaplikasi;
    private String pengembangaplikasi;
    private String versisinergi;
    private String nmfile;
    private String sha256;
    private List<Dthbelanja_WS> dthbelanjas;
    private List<Dthpotongan_WS> dthpotongans;

    public Headerdth_WS() {
    }

    public Headerdth_WS(short tahunanggaran, String kodesatker, String kodepemda, String namapemda, short jeniscoa, String nomorsp2d, Date tanggalsp2d, String namaaplikasi, String pengembangaplikasi, String versisinergi, String nmfile, String sha256, List<Dthbelanja_WS> dthbelanjas, List<Dthpotongan_WS> dthpotongans) {
        this.tahunanggaran = tahunanggaran;
        this.kodesatker = kodesatker;
        this.kodepemda = kodepemda;
        this.namapemda = namapemda;
        this.jeniscoa = jeniscoa;
        this.nomorsp2d = nomorsp2d;
        this.tanggalsp2d = tanggalsp2d;
        this.namaaplikasi = namaaplikasi;
        this.pengembangaplikasi = pengembangaplikasi;
        this.versisinergi = versisinergi;
        this.nmfile = nmfile;
        this.sha256 = sha256;
        this.dthbelanjas = dthbelanjas;
        this.dthpotongans = dthpotongans;
    }

    public List<Dthbelanja_WS> getDthbelanjas() {
        return dthbelanjas;
    }

    public void setDthbelanjas(List<Dthbelanja_WS> dthbelanjas) {
        this.dthbelanjas = dthbelanjas;
    }

    public List<Dthpotongan_WS> getDthpotongans() {
        return dthpotongans;
    }

    public void setDthpotongans(List<Dthpotongan_WS> dthpotongans) {
        this.dthpotongans = dthpotongans;
    }

    public short getTahunanggaran() {
        return tahunanggaran;
    }

    public void setTahunanggaran(short tahunanggaran) {
        this.tahunanggaran = tahunanggaran;
    }

    public String getKodesatker() {
        return kodesatker;
    }

    public void setKodesatker(String kodesatker) {
        this.kodesatker = kodesatker;
    }

    public String getKodepemda() {
        return kodepemda;
    }

    public void setKodepemda(String kodepemda) {
        this.kodepemda = kodepemda;
    }

    public String getNamapemda() {
        return namapemda;
    }

    public void setNamapemda(String namapemda) {
        this.namapemda = namapemda;
    }

    public short getJeniscoa() {
        return jeniscoa;
    }

    public void setJeniscoa(short jeniscoa) {
        this.jeniscoa = jeniscoa;
    }

    public String getNomorsp2d() {
        return nomorsp2d;
    }

    public void setNomorsp2d(String nomorsp2d) {
        this.nomorsp2d = nomorsp2d;
    }

    public Date getTanggalsp2d() {
        return tanggalsp2d;
    }

    public void setTanggalsp2d(Date tanggalsp2d) {
        this.tanggalsp2d = tanggalsp2d;
    }

    public String getNamaaplikasi() {
        return namaaplikasi;
    }

    public void setNamaaplikasi(String namaaplikasi) {
        this.namaaplikasi = namaaplikasi;
    }

    public String getPengembangaplikasi() {
        return pengembangaplikasi;
    }

    public void setPengembangaplikasi(String pengembangaplikasi) {
        this.pengembangaplikasi = pengembangaplikasi;
    }

    public String getVersisinergi() {
        return versisinergi;
    }

    public void setVersisinergi(String versisinergi) {
        this.versisinergi = versisinergi;
    }

    public String getNmfile() {
        return nmfile;
    }

    public void setNmfile(String nmfile) {
        this.nmfile = nmfile;
    }

    public String getSha256() {
        return sha256;
    }

    public void setSha256(String sha256) {
        this.sha256 = sha256;
    }

}
